#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

with open('README.md') as readme_file:
    readme = readme_file.read()

requirements = ["requests"]

setup_requirements = ['pytest-runner']

test_requirements = ['pytest', 'vcrpy']

setup(
    author="Joe Irimpan",
    author_email='joeirimpan@gmail.com',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
    ],
    description="Python client for os ticket",
    install_requires=requirements,
    license="MIT license",
    long_description=readme,
    include_package_data=True,
    keywords='pyosticket',
    name='pyosticket',
    packages=find_packages(include=['pyosticket']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    long_description_content_type='text/markdown',
    url='https://github.com/joeirimpan/pyosticket',
    version='0.1.0',
    zip_safe=False,
)
